# Dash0

Stream logs to [Dash0](https://www.dash0.com) by utilizing the [OpenTelemetry plugin](/manual/3.2/pipeline/outputs/opentelemetry.md) to send data to the Dash0 log ingress.

## Configuration parameters

| Key           | Description                                                                                          | Default                                     |
| ------------- | ---------------------------------------------------------------------------------------------------- | ------------------------------------------- |
| `header`      | The specific header for bearer authorization, where {your-Auth-token-here} is your Dash0 Auth Token. | Authorization Bearer {your-Auth-token-here} |
| `host`        | Your Dash0 ingress endpoint.                                                                         | `ingress.eu-west-1.aws.dash0.com`           |
| `port`        | TCP port of your Dash0 ingress endpoint.                                                             | `443`                                       |
| `metrics_uri` | Specify an optional HTTP URI for the target web server listening for metrics                         | `/v1/metrics`                               |
| `logs_uri`    | Specify an optional HTTP URI for the target web server listening for logs                            | `/v1/logs`                                  |
| `traces_uri`  | Specify an optional HTTP URI for the target web server listening for traces                          | `/v1/traces`                                |

### TLS / SSL

The OpenTelemetry output plugin supports TLS/SSL. For more details about the properties available and general configuration, see [TLS/SSL](/manual/3.2/administration/transport-security.md).

## Getting started

To get started with sending logs to Dash0:

1. Get an [Auth Token](https://www.dash0.com/documentation/dash0/key-concepts/auth-tokens) from **Settings** > **Auth Tokens**.
2. In your main Fluent Bit configuration file, append the following `Output` section:

{% tabs %}
{% tab title="fluent-bit.conf" %}

```
[OUTPUT]
   Name         opentelemetry
   Match        *
   Host         ingress.eu-west-1.aws.dash0.com
   Port         443
   Header       Authorization Bearer {your-Auth-token-here}
   Metrics_uri  /v1/metrics
   Logs_uri     /v1/logs
   Traces_uri   /v1/traces
```

{% endtab %}

{% tab title="fluent-bit.yaml" %}

```yaml
[OUTPUT]
   Name:         opentelemetry
   Match:        *
   Host:         ingress.eu-west-1.aws.dash0.com
   Port:         443
   Header:       Authorization Bearer {your-Auth-token-here}
   Metrics_uri:  /v1/metrics
   Logs_uri:     /v1/logs
   Traces_uri:   /v1/traces
```

{% endtab %}
{% endtabs %}

## References

* [Dash0 documentation](https://www.dash0.com/documentation/dash0)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fluentbit.io/manual/3.2/pipeline/outputs/dash0.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
